Get large language models
Gets large language models in a Project. By default, 25 large language models are returned. To change this value, use the limit query parameter. Additionally, you can filter, sort, and paginate the results.
curl --request GET \
--url https://api-trial.cognigy.ai/new/v2.0/largelanguagemodels \
--header 'X-API-Key: <api-key>'import requests
url = "https://api-trial.cognigy.ai/new/v2.0/largelanguagemodels"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api-trial.cognigy.ai/new/v2.0/largelanguagemodels', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"name": "Large language model for customer service",
"modelType": "gpt-3.5-turbo",
"provider": "azureOpenAI",
"connectionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"description": "Large language model for customer-facing AI Agents.",
"modelGroup": "chat",
"apiType": "chatCompletion",
"isCustomModel": true,
"openAI": {
"customModel": "gpt-4-32k-0613"
},
"anthropic": {
"customModel": "claude-sonnet-4-6"
},
"azureOpenAI": {
"resourceName": "<string>",
"deploymentName": "<string>",
"apiVersion": "<string>",
"baseCustomUrl": [
"https://<resourceName>.openai.azure.com/openai/deployments/<deploymentName>/chat/completions?api-version=<apiVersion>",
"https://<resourceName>.openai.azure.com/openai/deployments/<deploymentName>/completions?api-version=<apiVersion>",
"https://<resourceName>.openai.azure.com/openai/deployments/<deploymentName>/embeddings?api-version=<apiVersion>"
],
"useDeploymentNameAsModel": true
},
"googleVertexAI": {
"location": "<string>",
"apiEndpoint": "<string>",
"publisher": "<string>"
},
"googleGemini": {
"location": "<string>"
},
"googleGenAI": {
"location": "<string>"
},
"alephAlpha": {
"customModel": "luminous-003",
"baseCustomUrl": "https://api.aleph-alpha.com"
},
"openAICompatible": {
"customModel": "luminous-003",
"baseCustomUrl": "https://own-llm-deployment.company.com/openai/v1",
"customAuthHeader": "Ocp-Apim-Subscription-Key"
},
"resourceLevel": "project",
"isDefault": false,
"fallbacks": [
{
"isFallbackEnabled": true,
"fallbackLLMReferenceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"immediateFallBack": {
"failedRequests": 123,
"durationInMinutes": 123,
"emailNotificationList": [
"<string>"
]
}
}
],
"isInPlatformLlm": false,
"useCases": [
"<string>"
],
"referenceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"_id": "<string>",
"createdAt": 1694518620,
"lastChanged": 1694518620,
"createdBy": "<string>",
"lastChangedBy": "<string>"
}
],
"total": 1,
"nextCursor": "<string>",
"previousCursor": "<string>"
}{
"type": "Bad Request",
"title": "Bad Request Error",
"status": 400,
"detail": "Validation failed. Missing payload.",
"instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
"code": 1000,
"traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
"details": {}
}{
"type": "Unauthorized",
"title": "Unauthorized Error",
"status": 401,
"detail": "<string>",
"instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
"code": 401,
"traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
"details": {}
}{
"type": "Payment Required",
"title": "Payment Required Error",
"status": 402,
"detail": "Validation failed. Missing payload.",
"instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
"code": 402,
"traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
"details": {}
}{
"type": "Forbidden",
"title": "Forbidden Error",
"status": 403,
"detail": "<string>",
"instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
"code": 1000,
"traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
"details": {}
}{
"type": "Not Found",
"title": "Not Found Error",
"status": 404,
"detail": "<string>",
"instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
"code": 1000,
"traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
"details": {},
"logLevel": "error"
}{
"type": "Method Not Allowed",
"title": "Method Not Allowed Error",
"status": 405,
"detail": "<string>",
"instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
"code": 1000,
"traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
"details": {}
}{
"type": "Conflict",
"title": "Conflict Error",
"status": 409,
"detail": "<string>",
"instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
"code": 1004,
"traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
"details": {}
}{
"type": "Payload Too Large",
"title": "Payload Too Large Error",
"status": 413,
"detail": "<string>",
"instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
"code": 1000,
"traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
"details": {}
}{
"type": "Internal Server Error",
"title": "Internal Server Error",
"status": 500,
"detail": "<string>",
"instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
"code": 1000,
"traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
"details": {}
}{
"type": "Not Implemented",
"title": "Not Implemented Error",
"status": 501,
"detail": "<string>",
"instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
"code": 1009,
"traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
"details": {}
}{
"type": "Bad Gateway",
"title": "Bad Gateway Error",
"status": 502,
"detail": "<string>",
"instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
"code": 1000,
"traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
"details": {}
}{
"type": "Service Unavailable",
"title": "Service Unavailable Error",
"status": 503,
"detail": "<string>",
"instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
"code": 503,
"traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
"details": {}
}{
"type": "Gateway Timeout",
"title": "Gateway Timeout Error",
"status": 504,
"detail": "<string>",
"instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
"code": 1000,
"traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
"details": {}
}Authorizations
Supply the API Key in the HTTP-Header
Headers
The Accept header specifies the media type that the client expects in the response. Available options: application/json, application/hal+json, application/xml, text/xml, text/csv. The default value is application/json.
application/json, application/hal+json, application/xml, text/xml, text/csv Query Parameters
The unique identifier for the Project.
24^[a-z0-9]{24}$Filter records by specific field eg:name.
The maximum number of items to return. Use this parameter to control page size. The default value is 25, and the maximum permitted value is 100.
1 <= x <= 100The number of items to skip before returning the results. Use this parameter with limit for offset-based pagination. The default value is 0.
x >= 0The order in which results are returned. Set a sorting rule in the format field:direction, where direction can be asc for ascending order or desc for descending order. For example, name:asc sorts by name in ascending order.
1The cursor that points to the next page of results. Use the nextCursor value returned in a previous response to request the next set of items.
24The cursor that points to the previous page of results. Use the previousCursor value returned in a previous response to request the previous set of items.
24Scope of the resource (global "organisation" or project). General scope of the resource.
organisation, project Response
Returns array of large language model metadata objects.
The IEntityMeta defines meta information every entity within the system has. These are dates when a resource was created and modified as well as information about the user who initially created a resource and who modified it the last time.
- Option 1
- Option 2
Show child attributes
Show child attributes
1
24^[a-z0-9]{24}$24^[a-z0-9]{24}$